#ifndef SENSORACCELEROMETER_H
#define SENSORACCELEROMETER_H

struct SensorAccelerometer {

	float x;
	float y;
	float z;

	/** empty ctor */
	SensorAccelerometer() : x(0), y(0), z(0) {;}

	/** ctor with values */
	SensorAccelerometer(const float x, const float y, const float z) : x(x), y(y), z(z) {;}

	SensorAccelerometer operator + (const SensorAccelerometer& o) const {
		return SensorAccelerometer(x+o.x, y+o.y, z+o.z);
	}
	SensorAccelerometer operator * (const float v) const {
		return SensorAccelerometer(x*v, y*v, z*v);
	}

};

#endif // SENSORACCELEROMETER_H
